---
title: "查询订单支付单列表"
description: "查询订单交易单"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/order/transaction-list/get-order-payment'
  md: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/order/transaction-list/get-order-payment.md'
---
# 查询交易单列表

查询订单交易单

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_orders`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /orders/:order_seq/transactions.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。

## Required Permissions

* `read_orders`

## Request

### Path Parameters

* `order_seq`

  string (required)

  订单号

### Request Headers

* `Content-Type`

  string (required)

  字段值固定为 `application/json; charset=utf-8`。

* `Authorization`

  string (required)

  资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。

## Response

### Status Codes

* `200`

  更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。

### Response Body

#### 200

* `transactions`

  array<object>

  交易单列表

  * `error_code`

    string

    支付失败原因编码

  * `receipt`

    map

    底层渠道单据信息

  * `order_id`

    string

    订单id

  * `id`

    string

    交易单id

  * `gateway`

    string

    支付网关

  * `payment_details`

    object

    支付详情

    * `credit_card_bin`

      string

      信用卡bin

    * `credit_card_brand`

      string

      信用卡品牌

    * `credit_card_expire_month`

      string

      信用卡过期月份

    * `credit_card_expire_year`

      string

      信用卡过期年份

    * `credit_card_number`

      string

      脱敏信用卡卡号

  * `error_msg`

    string

    支付失败信息

  * `kind`

    string

    类型：sale

  * `status`

    string

    状态：create、pending、failure、success

  * `status_msg`

    string

    支付单状态码描述

  * `amount`

    string

    金额

  * `status_code`

    string

    支付状态码

  * `currency`

    string

    币种


#### 401

* `errors`

  string

  错误描述。


#### 429

* `errors`

  string

  错误描述。


## OpenAPI Definition

```json
{
  "description": "查询订单交易单",
  "externalDocs": {
    "description": "接口使用的权限点: `read_orders` ，更多权限点使用信息，请参考:",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=zh-hans-cn",
    "errorTableDescription": ""
  },
  "operationId": "ZLVQayBi",
  "parameters": [
    {
      "name": "order_seq",
      "in": "path",
      "description": "订单号",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "order_seq",
        "description": "订单号",
        "type": "string",
        "example": ""
      },
      "example": ""
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "字段值固定为 `application/json; charset=utf-8`。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": "资源的访问令牌。请参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。",
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "transactions": {
                "name": "transactions",
                "description": "交易单列表",
                "type": "array",
                "items": {
                  "name": "transactions",
                  "description": "交易单列表",
                  "type": "object",
                  "properties": {
                    "error_code": {
                      "name": "error_code",
                      "description": "支付失败原因编码",
                      "type": "string",
                      "example": "success"
                    },
                    "receipt": {
                      "name": "receipt",
                      "description": "底层渠道单据信息",
                      "type": "map",
                      "example": {}
                    },
                    "order_id": {
                      "name": "order_id",
                      "description": "订单id",
                      "type": "string",
                      "example": "21058445753566033850608114"
                    },
                    "id": {
                      "name": "id",
                      "description": "交易单id",
                      "type": "string",
                      "example": "23058445753584153243898114"
                    },
                    "gateway": {
                      "name": "gateway",
                      "description": "支付网关",
                      "type": "string",
                      "example": "Pacypay"
                    },
                    "payment_details": {
                      "name": "payment_details",
                      "description": "支付详情",
                      "type": "object",
                      "properties": {
                        "credit_card_bin": {
                          "name": "credit_card_bin",
                          "description": "信用卡bin",
                          "type": "string",
                          "example": "471110"
                        },
                        "credit_card_brand": {
                          "name": "credit_card_brand",
                          "description": "信用卡品牌",
                          "type": "string",
                          "example": "visa"
                        },
                        "credit_card_expire_month": {
                          "name": "credit_card_expire_month",
                          "description": "信用卡过期月份",
                          "type": "string",
                          "example": "12"
                        },
                        "credit_card_expire_year": {
                          "name": "credit_card_expire_year",
                          "description": "信用卡过期年份",
                          "type": "string",
                          "example": "30"
                        },
                        "credit_card_number": {
                          "name": "credit_card_number",
                          "description": "脱敏信用卡卡号",
                          "type": "string",
                          "example": "471110******0000"
                        }
                      },
                      "example": {
                        "credit_card_bin": "471110",
                        "credit_card_brand": "visa",
                        "credit_card_expire_month": "12",
                        "credit_card_expire_year": "30",
                        "credit_card_number": "471110******0000"
                      }
                    },
                    "error_msg": {
                      "name": "error_msg",
                      "description": "支付失败信息",
                      "type": "string",
                      "example": "not error"
                    },
                    "kind": {
                      "name": "kind",
                      "description": "类型：sale",
                      "type": "string",
                      "example": "sale"
                    },
                    "status": {
                      "name": "status",
                      "description": "状态：create、pending、failure、success",
                      "type": "string",
                      "example": "success"
                    },
                    "status_msg": {
                      "name": "status_msg",
                      "description": "支付单状态码描述",
                      "type": "string",
                      "example": "PENDING_REVIEW"
                    },
                    "amount": {
                      "name": "amount",
                      "description": "金额",
                      "type": "string",
                      "example": "101.0"
                    },
                    "status_code": {
                      "name": "status_code",
                      "description": "支付状态码",
                      "type": "string",
                      "example": "RISK_PENDING"
                    },
                    "currency": {
                      "name": "currency",
                      "description": "币种",
                      "type": "string",
                      "example": "TWD"
                    }
                  },
                  "example": {
                    "error_code": "success",
                    "kind": "sale",
                    "gateway": "Pacypay",
                    "payment_details": {
                      "credit_card_brand": "visa",
                      "credit_card_expire_month": "12",
                      "credit_card_expire_year": "30",
                      "credit_card_number": "471110******0000",
                      "credit_card_bin": "471110"
                    },
                    "id": "23058445753584153243898114",
                    "error_msg": "not error",
                    "receipt": {},
                    "status_code": "RISK_PENDING",
                    "order_id": "21058445753566033850608114",
                    "status": "success",
                    "amount": "101.0",
                    "status_msg": "PENDING_REVIEW",
                    "currency": "TWD"
                  }
                },
                "example": [
                  {
                    "error_msg": "not error",
                    "payment_details": {
                      "credit_card_expire_month": "12",
                      "credit_card_expire_year": "30",
                      "credit_card_number": "471110******0000",
                      "credit_card_bin": "471110",
                      "credit_card_brand": "visa"
                    },
                    "status_code": "RISK_PENDING",
                    "currency": "TWD",
                    "gateway": "Pacypay",
                    "amount": "101.0",
                    "error_code": "success",
                    "order_id": "21058445753566033850608114",
                    "id": "23058445753584153243898114",
                    "kind": "sale",
                    "receipt": {},
                    "status": "success",
                    "status_msg": "PENDING_REVIEW"
                  }
                ]
              }
            },
            "example": {
              "transactions": [
                {
                  "error_code": "success",
                  "id": "23058445753584153243898114",
                  "payment_details": {
                    "credit_card_expire_month": "12",
                    "credit_card_expire_year": "30",
                    "credit_card_number": "471110******0000",
                    "credit_card_bin": "471110",
                    "credit_card_brand": "visa"
                  },
                  "status_msg": "PENDING_REVIEW",
                  "gateway": "Pacypay",
                  "status_code": "RISK_PENDING",
                  "currency": "TWD",
                  "receipt": {},
                  "error_msg": "not error",
                  "kind": "sale",
                  "order_id": "21058445753566033850608114",
                  "status": "success",
                  "amount": "101.0"
                }
              ]
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/orders/:order_seq/transactions.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。"
        }
      }
    }
  ],
  "info": {
    "title": "查询交易单列表",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_orders"
  ]
}
```